← OBPv7.0.0 Create Meeting (video conference/call) POST /obp/v7.0.0/banks/BANK_ID/meetings OBPv3.1.0-createMeeting No role required Customer-MeetingCustomerExperimental Create Meeting: Initiate a video conference/call with the bank. The Meetings resource contains meta data about video/other conference sessions provider_id determines the provider of the meeting / video chat service. MUST be url friendly (no spaces). purpose_id explains the purpose of the chat. onboarding | mortgage | complaint etc. MUST be url friendly (no spaces). Login is required. This call is experimental. Currently staff_user_id is not set. Further calls will be needed to correctly set this. User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: BANK_ID: gh.29.uk JSON request body fields (10) contact_details creator date 2020-01-27email_address invitees mobile_phone name ACCOUNT_MANAGEMENT_FEEprovider_id purpose_id status JSON response body fields (19) bank_id gh.29.ukcontact_details creator customer_token customer_user_id email_address invitees keys meeting_id mobile_phone name ACCOUNT_MANAGEMENT_FEEpresent provider_id purpose_id session_id b4e0352a-9a0f-4bfa-b30b-9003aa467f50staff_token staff_user_id status when 2020-01-27 Example request body { "provider_id": "Chris", "purpose_id": "String, eg: onboarding", "date": "1100-01-01T01:01:01Z", "creator": { "name": "Simon ", "mobile_phone": "+44 07972 444 876", "email_address": "felixsmith@example.com" }, "invitees": [ { "contact_details": { "name": "Simon ", "mobile_phone": "+44 07972 444 876", "email_address": "felixsmith@example.com" }, "status": "String, eg: Good" } ] } Example success response { "meeting_id": "UUID-String", "provider_id": "Chris", "purpose_id": "String, eg: onboarding", "bank_id": "gh.29.uk", "present": { "staff_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1", "customer_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1" }, "keys": { "session_id": "String", "staff_token": "String", "customer_token": "String" }, "when": "1100-01-01T00:00:00Z", "creator": { "name": "Simon ", "mobile_phone": "+44 07972 444 876", "email_address": "felixsmith@example.com" }, "invitees": [ { "contact_details": { "name": "Simon ", "mobile_phone": "+44 07972 444 876", "email_address": "felixsmith@example.com" }, "status": "String, eg: Good" } ] } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-30001: Bank not found. Please specify a valid value for BANK_ID.OBP-10001: Incorrect json format.OBP-50000: Unknown Error.